Package org.opensaml.xmlsec.signature.support

# Interface SignatureValidationProvider

All Known Implementing Classes:
  `ApacheSantuarioSignatureValidationProviderImpl`

@ThreadSafe public interface SignatureValidationProvider
Interface for a provider component that cryptographically validates an XML Signature `Signature` using a candidate validation `Credential`.

Implementations must be thread-safe.

Instances of this classes are usually used via the `SignatureValidator` service class.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.

## Method Details

### validate

void validate(@Nonnull Signature signature, @Nonnull Credential validationCredential) throws SignatureException
Validate the given XML Signature using the given candidate validation Credential.

Parameters:
  `signature` - the XMLSignature to validate
  `validationCredential` - the candidate validation Credential
Throws:
  `SignatureException` - if the signature does not validate using the candiate Credential, or if there is otherwise an error during the validation operation